#include "matrix.hlsl"
#include "inout.hlsl"

PIT_PP PostProcess_VS(VIT_PP input)
{
	PIT_PP output;
    
	input.position.w = 1.0f;

	output.position = mul(input.position, worldMatrix);
	output.position = mul(output.position, viewMatrix);
	output.position = mul(output.position, projectionMatrix);
    
	output.color = input.color;

	output.tex = input.tex;
    
	return output;
}